Page MenuHomePhabricator

Allocate a specific named graph for data provider metadata
Closed, ResolvedPublic

Description

Besides keeping track of who gave which dataset, it is needed to limit the deletion and update actions in the Ingestion API, i.e., to ensure that a given data provider does not drop or update datasets other that the ones it has uploaded.

This mechanism should be included in the /upload service.

Event Timeline

Hjfocs created this task.Jul 17 2017, 1:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2017, 1:58 PM
Hjfocs moved this task from To do to Doing on the Wikidata-primary-sources board.Jul 18 2017, 11:05 AM

Change 366231 had a related patch set uploaded (by Hjfocs; owner: Hjfocs):
[wikidata/query/rdf@master] T170819: Allocate a specific named graph for data provider metadata

https://gerrit.wikimedia.org/r/366231

Hjfocs moved this task from Doing to Done on the Wikidata-primary-sources board.Jul 19 2017, 11:13 AM
Hjfocs closed this task as Resolved.May 31 2018, 9:02 AM